package com.ruoyi.orderPlan.mapper;

import com.ruoyi.orderPlan.domain.Ftmsorderbills;

import java.util.List;
import java.util.Map;

/**
 * 订单主Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillsMapper {
    /**
     * 查询订单主
     *
     * @param id 订单主ID
     * @return 订单主
     */
    public Ftmsorderbills selectftmsorderbillsById(Long id);

    /**
     * 查询订单主列表
     *
     * @param ftmsorderbills 订单主
     * @return 订单主集合
     */
    public List<Ftmsorderbills> selectftmsorderbillsList(Ftmsorderbills ftmsorderbills);

    /**
     * 新增订单主
     *
     * @param ftmsorderbills 订单主
     * @return 结果
     */
    public int insertftmsorderbills(Ftmsorderbills ftmsorderbills);

    /**
     * 修改订单主
     *
     * @param ftmsorderbills 订单主
     * @return 结果
     */
    public int updateftmsorderbills(Ftmsorderbills ftmsorderbills);

    /**
     * 删除订单主
     *
     * @param id 订单主ID
     * @return 结果
     */
    public int deleteftmsorderbillsById(Long id);

    /**
     * 批量删除订单主
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteftmsorderbillsByIds(Long[] ids);

    /**
     *  列表页查询条件
     * @param ftmsorderbills    查询条件
     * @return  结果
     */
    public List<Map<String, Object>> selectftmsorderbillsMapList(Ftmsorderbills ftmsorderbills);

}
